/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.app.interfaces;


import java.util.Locale;

/**
 *
 * @author Fido <dktcoding [at] gmail>
 */
public interface Locales {
    /**English locale*/
    public static final int ENGLISH = 0;
    /**Spanish locale*/
    public static final int SPANISH = 1;
    /**Italian locale*/
    public static final int ITALIAN = 2;
    /**Portuguese locale*/
    public static final int PORTUGUESE = 3;
    /**Turkish locale*/
    public static final int TURKISH = 4;
    /**Simplified Chinese locale*/
    public static final int SIMPLIFIED_CHINESE = 5;
    /**Galician locale*/
    public static final int GALICIAN = 6;
    /**Japanese locale*/
    public static final int JAPANESE = 7;

    public final static Locale[] locales = new Locale[]{
        Locale.ENGLISH,
        new Locale("spa"),
        Locale.ITALIAN,
        new Locale("por"),
        new Locale("tur"),
        Locale.CHINESE,
        new Locale("glg"),
        Locale.JAPANESE
    };
}

